<template>
	<NcAppContent :class="episode ? 'padding' : ''">
		<slot />
	</NcAppContent>
</template>

<script>
import { NcAppContent } from '@nextcloud/vue'

export default {
	name: 'AppContent',
	components: {
		NcAppContent,
	},
	computed: {
		episode() {
			return this.$store.state.player.episode
		},
	},
}
</script>

<style scoped>
	.padding {
		padding-bottom: 6rem;
	}
</style>
